Bug 1271081 - (CVE-2015-7803) CVE-2015-7803 php: NULL pointer dereference in phar_get_fp_offset()
CVE-2015-7803 php: NULL pointer dereference in phar_get_fp_offset()
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151001,repor...
: Security
Depends On: 1305850 1305851
Blocks: 1271092 1306180
  Show dependency treegraph
 
Reported: 2015-10-13 03:04 EDT by Martin Prpič
Modified: 2016-03-15 16:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: php 5.6.14, php 5.5.30
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the way PHP's Phar extension parsed Phar archives. A specially crafted archive could cause PHP to crash or, possibly, execute arbitrary code when opened.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 03:49:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-13 03:04:35 EDT
A NULL pointer dereference flaw was found in the way PHP's Phar extension parsed Phar archives. A specially crafted archive could cause PHP to crash.

Upstream bug:

https://bugs.php.net/bug.php?id=69720

Upstream patch:

https://git.php.net/?p=php-src.git;a=patch;h=d698f0ae51f67c9cce870b09c59df3d6ba959244
Comment 1 Martin Prpič 2015-10-13 03:09:22 EDT
Fixed in all versions of Fedora:

php-5.6.14-1.fc21
php-5.6.14-1.fc22
php-5.6.14-1.fc23
php-5.6.14-1.fc24
Comment 5 errata-xmlrpc 2016-03-15 16:57:56 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2016:0457 https://rhn.redhat.com/errata/RHSA-2016-0457.html

Note You need to log in before you can comment on or make changes to this bug.